NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder Class Reference

Represents a NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimObjectType { Point, Plane, Face, Edge }
 Specifies the object type for length limit More...
 

Public Member Functions

unsafe
NXOpen.GeometricUtilities.LengthLimitPointBuilder 
CreateLengthLimitPointBuilder (NXOpen.Expression mOnPathExp, NXOpen.GeometricUtilities.OnPathDimensionBuilder mOnPath, bool mIsFlipped, NXOpen.Point mThruPoint)
 Creates a FacePlaneSelectionBuilder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool IsOk [get, set]
 Returns or sets the length limit object data OK flag More...
 
unsafe
NXOpen.GeometricUtilities.LengthLimitPointBuilder 
LengthLimitPoint [get]
 Returns the select point as length limit object More...
 
unsafe bool LimitTopolSwitchFinFlag [get, set]
 Returns or sets the limit edge switch fin flag More...
 
unsafe NXOpen.Point PlaneHelpPoint [get, set]
 Returns or sets the user plane cap help point More...
 
unsafe NXOpen.ScCollector SelectEdge [get]
 Returns the select edge as length limit object More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetData 
SelectFace [get]
 Returns the select face as length limit object More...
 
unsafe NXOpen.Plane SelectPlane [get, set]
 Returns or sets the select plane as length limit object More...
 
unsafe
NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.TrimObjectType 
TrimObject [get, set]
 Returns or sets the object type for length limit object More...
 
unsafe bool UseFaceCapBlend [get, set]
 Returns or sets the use face cap blend flag More...
 
unsafe bool UsePlaneCapBlend [get, set]
 Returns or sets the use plane cap blend More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder

To create a new instance of this class, use NXOpen.GeometricUtilities.LengthLimitsListBuilder.CreatePointFacePlaneSelectionBuilder

Default values.

Property Value

TrimObject

Point

UseFaceCapBlend

1

UsePlaneCapBlend

0

Created in NX1899.0.0

Member Enumeration Documentation

Specifies the object type for length limit

Enumerator
Point 

length limit point

Plane 

plane end cap

Face 

face end cap

Edge 

edge limit cap

Member Function Documentation

unsafe NXOpen.GeometricUtilities.LengthLimitPointBuilder NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.CreateLengthLimitPointBuilder ( NXOpen.Expression  mOnPathExp,
NXOpen.GeometricUtilities.OnPathDimensionBuilder  mOnPath,
bool  mIsFlipped,
NXOpen.Point  mThruPoint 
)
inline

Creates a FacePlaneSelectionBuilder

Created in NX1899.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
mOnPathExp
mOnPath
mIsFlipped
mThruPoint
Returns
LengthLimitPointBuilder object

Property Documentation

unsafe bool NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.IsOk
getset

Returns or sets the length limit object data OK flag

Created in NX1899.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.LengthLimitPointBuilder NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.LengthLimitPoint
get

Returns the select point as length limit object

Created in NX1899.0.0

License requirements: None.

unsafe bool NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.LimitTopolSwitchFinFlag
getset

Returns or sets the limit edge switch fin flag

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.PlaneHelpPoint
getset

Returns or sets the user plane cap help point

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.SelectEdge
get

Returns the select edge as length limit object

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceSetData NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.SelectFace
get

Returns the select face as length limit object

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.SelectPlane
getset

Returns or sets the select plane as length limit object

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.TrimObjectType NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.TrimObject
getset

Returns or sets the object type for length limit object

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.UseFaceCapBlend
getset

Returns or sets the use face cap blend flag

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.PointFacePlaneSelectionBuilder.UsePlaneCapBlend
getset

Returns or sets the use plane cap blend

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.